# Put parameters here that don't need to change on each machine where the app is deployed
# https://symfony.com/doc/current/best_practices/configuration.html#application-related-configuration
parameters:
    locale: 'fr'
    # This parameter defines the codes of the locales (languages) enabled in the application
    app_locales: en|fr|de
    app.notifications.email_sender: anonymous@example.com
    user_class: App\Entity\User
    group_class: App\Entity\Group
    wysiwyg_editor: 'Summernote'
    google_recaptcha_site_key: '%env(GOOGLE_RECAPTCHA_SITE_KEY)%'
    table_prefix: ~
    fontawesome_style: regular

services:
    # default configuration for services in *this* file
    _defaults:
        # automatically injects dependencies in your services
        autowire: true
        # automatically registers your services as commands, event subscribers, etc.
        autoconfigure: true
        # this means you cannot fetch services directly from the container via $container->get()
        # if you need to do this, you can override this setting on individual services
        public: false
        # defines the scalar arguments once and apply them to any service defined/created in this file

    # makes classes in src/ available to be used as services
    # this creates a service per class whose id is the fully-qualified class name
    App\:
        resource: '../src/*'
        # you can exclude directories or files
        # but if a service is unused, it's removed anyway 
        exclude: '../src/{DependencyInjection,Entity,Migrations,Tests,Kernel.php}'

    App\Controller\:
        resource: '../src/Controller'
        tags: ['controller.service_arguments']

    # when the service definition only contains arguments, you can omit the
    # 'arguments' key and define the arguments just below the service class
    #App\EventSubscriber\CommentNotificationSubscriber:
    #    $sender: '%app.notifications.email_sender%'
    jms_serializer.naming_strategy:
        alias: jms_serializer.identical_property_naming_strategy
    
    Symfony\Component\DependencyInjection\ContainerInterface: '@service_container'
    
    parameter_bag:
        class: Symfony\Component\DependencyInjection\ParameterBag\ContainerBag
        arguments: ['@service_container']
        public: true

    #article_exporter:
    #    parent: Tigris\ContentBundle\DataExporter\ElementExporter
    #    autowire: false
    #    autoconfigure: false
    #    public: false
    #    tags:
    #        - { name: tigris.data_exporter, alias: article}